<?php
/**
 * Zone selection field for Max Media Manager
 *
 * @since 0.3.19 - Feb 24, 2006
 * @copyright 2006 M3 Media Services
 * @version $Id: ZoneScopeField.admin.test.php 4307 2006-02-24 16:45:08Z roh@m3.net $
 */
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

class ZoneScopeFieldTest extends UnitTestCase
{
    function testParseQueryArray_Simple()
    {
        $query = array('example_zone' => '1234');
        $field = Field::factory('zone-scope');
        $scope = $field->getPassableValueFromQueryArray($query, 'example_zone');
        $this->assertTrue($scope->isSpecificZone());
        $this->assertEqual($scope->getZoneId(), 1234);
    }

    function testParseQueryArray_AllAvailable()
    {
        $query = array('example_zone' => 'all');
        $field = Field::factory('zone-scope');
        $scope = $field->getPassableValueFromQueryArray($query, 'example_zone');
        $this->assertFalse($scope->isSpecificZone());
    }
}
?>
