<?php
/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Browser.delivery.php 4289 2006-02-23 07:04:28Z scott@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */


/**
 * Check to see if this impression contains the valid browser.
 *
 * @param string $data The browser (or comma list of browsers) limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's browser passes this limitation's test.
 */
function MAX_checkClient_Browser($data, $ad)
{
    if ($data == '' || empty($GLOBALS['_MAX']['CLIENT'])) {
        return true;
    }
    $browser = strtolower($GLOBALS['_MAX']['CLIENT']['browser']);
    $data = strtolower($data);
    $expression = ($browser == $data || in_array($browser, explode(',', $data)));
    $operator   = $ad == '==';
    return ($expression == $operator);
}

?>
