<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Latlong.plugin.php 4277 2006-02-21 14:43:42Z scott@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

require_once MAX_PATH . '/plugins/deliveryLimitations/DeliveryLimitations.php';
require_once MAX_PATH . '/lib/max/Plugins/PluginTranslation.php';

/**
 *
 * Latitude/Longitude delivery limitation plugin.
 *
 */
class Plugins_DeliveryLimitations_Geo_Latlong extends Plugins_DeliveryLimitations  
{
    /**
     * Return name of plugin
     *
     * @return string
     */
    function getName()
    {
        return Max_PluginTranslation::translate('Latitude/Longitude', $this->module, $this->package);
    }
    
    /**
     * Return if this plugin is available in the current context
     *
     * @return boolean
     */
    function isAllowed()
    {
        if ((isset($GLOBALS['_MAX']['GEO_DATA']['latitude'])) || $GLOBALS['_MAX']['CONF']['geotargeting']['showUnavailable']) {
            return true;
        } else {
            return false;
        }
    }
        
    /**
     * Outputs the HTML to display the comparison operator for this limitation
     *
     * @return void
     */
    function displayComparison()
    {
        echo "<select name='acl[{$this->executionorder}][comparison]' tabindex='".($tabindex++)."'>";
		echo "<option value='==' " . (($this->comparison == '==') ? 'selected' : '') . ">" . Max_PluginTranslation::translate('is within', $this->module, $this->package) . "</option>";
		echo "<option value='!=' " . (($this->comparison == '!=') ? 'selected' : '') . ">" . Max_PluginTranslation::translate('is not within', $this->module, $this->package) . "</option>";
		echo "</select>";
    }
    
    /**
     * Outputs the HTML to display the data for this limitation
     *
     * @return void
     */
    function displayData()
    {
        $tabindex =& $GLOBALS['tabindex'];
		echo "<table width='275' cellpadding='0' cellspacing='0' border='0'>";
		echo "<tr>";
		echo "    <td align='center'><input type='text' size='10' name='acl[{$this->executionorder}][data][]' value='" . ((!empty($this->data[0])) ? $this->data[0] : '0.0000') . "' tabindex='".($tabindex++)."'></td>";
		echo "    <th align='center'>&nbsp;&gt;&nbsp;".Max_PluginTranslation::translate('Latitude', $this->module, $this->package)."&nbsp;&lt;&nbsp;</th>";
		echo "    <td align='center'><input type='text' size='10' name='acl[{$this->executionorder}][data][]' value='" . ((!empty($this->data[1])) ? $this->data[1] : '0.0000') . "' tabindex='".($tabindex++)."'></td>";
		echo "</tr>";
		
		echo "<tr>";
		echo "    <td align='center'><input type='text' size='10' name='acl[{$this->executionorder}][data][]' value='" . ((!empty($this->data[2])) ? $this->data[2] : '0.0000') . "' tabindex='".($tabindex++)."'></td>";
		echo "    <th align='center'>&nbsp;&gt;&nbsp;".Max_PluginTranslation::translate('Longitude', $this->module, $this->package)."&nbsp;&lt;&nbsp;</th>";
		echo "    <td align='center'><input type='text' size='10' name='acl[{$this->executionorder}][data][]' value='" . ((!empty($this->data[3])) ? $this->data[3] : '0.0000') . "' tabindex='".($tabindex++)."'></td>";
		echo "</tr>";
		echo "</table>";	
    }
    
        
    /**
     * If $this->data should be an array, this method loads the saved string into an array
     *
     * @return string
     */
    function loadData()
    {
        if (!is_array($this->data)) {
            $this->data = strlen($this->data) ? explode(',', $this->data) : array();
        }
        return true;
    }
    
    /**
     * Returns the data for this limitation
     *
     * @return string
     */    
    function saveData()
    {
        return implode(',', $this->data);
    }
}

?>
