<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Region.delivery.php 4289 2006-02-23 07:04:28Z scott@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid region.
 *
 * @param string $data The region (or comma list of regions) limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's region passes this limitation's test.
 */
function MAX_checkGeo_Region($data, $ad)
{
    global $geoInfo;
    $data = explode('|', $data);
    $countryCode = $data[0];
    $regionCodes = explode(',', $data[1]);
    
    if ($geoInfo && $geoInfo['region'] && $geoInfo['country_code']) {
        // Evaluate country code
        $expression = ($countryCode == $geoInfo['country_code'] && in_array($geoInfo['region'], $regionCodes));
        $operator   = $ad == '==';
        return ($expression == $operator);
    } else {
        return ($ad != '==');
    }
}

?>
