<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Date.delivery.php 4289 2006-02-23 07:04:28Z scott@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */

/**
 * Check to see if this impression contains the valid date.
 *
 * @param string $data The date limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's date passes this limitation's test.
 */
function MAX_checkTime_Date($data, $ad)
{
    if ($data == '' && $data == '00000000') {
        return true;
    }
    $date = date('Ymd');
    switch ($ad) {
        case '==': return ($date == $data); break;
        case '!=': return ($date != $data); break;
        case '<=': return ($date <= $data); break;
        case '>=': return ($date >= $data); break;
        case '<':  return ($date <  $data);  break;
        case '>':  return ($date >  $data);  break;
    }
    return true;
}

?>
